package com.crm.pay.dto.finance.withdraw.automatic;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

import java.math.BigDecimal;
import java.util.LinkedHashMap;
import java.util.Map;

@Data
public class FinanceWithdrawNepayDto extends FinanceWithdrawDto {

    private Map<String, String> params;
    private Map<String, String> paramsEn;


    @JSONField(ordinal = 1)
    private String bankCardHolderName;
    @JSONField(ordinal = 10)
    private String bankCardNumber;
    @JSONField(ordinal = 20)
    private String bankName;
    @JSONField(ordinal = 30)
    private String bankProvince;
    @JSONField(ordinal = 40)
    private String bankCity;
    @JSONField(ordinal = 50)
    private BigDecimal amount;

    public FinanceWithdrawNepayDto() {
        params = new LinkedHashMap<>();
        paramsEn = new LinkedHashMap<>();

        params.put("bankCardHolderName", "银⾏卡持有⼈姓名");
        params.put("bankCardNumber", "银⾏卡号 (GCash：电话号)");
        params.put("bankName", "银⾏卡所属银⾏名称");
        params.put("bankProvince", "银⾏卡所属⽀⾏");
        params.put("bankCity", "银⾏卡所属城市");
        params.put("amount", "金额");

        paramsEn.put("bankCardHolderName", "bankCardHolderName");
        paramsEn.put("bankCardNumber", "bankCardNumber");
        paramsEn.put("bankName", "bankName");
        paramsEn.put("bankProvince", "bankProvince");
        paramsEn.put("bankCity", "bankCity");
        paramsEn.put("amount", "amount");

    }
}
